be.vlaanderen.mercurius.vsb.schemas.v1

## Class ParameterKeyType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb.schemas.v1.ParameterKeyType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class ParameterKeyType
      extends Object
      implements Serializable

  Java class for ParameterKeyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ParameterKeyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Type" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}ParameterKeyTypeType"/>
               <element name="ParameterValue" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}ParameterValueType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterKeyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the value of the name property.
    `List<ParameterValueType>` | `getParameterValues()` Gets the value of the parameterValues property.
    `ParameterKeyTypeType` | `getType()` Gets the value of the type property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setType(ParameterKeyTypeType value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterKeyType

          public ParameterKeyType()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public ParameterKeyTypeType getType()

      Gets the value of the type property.
      Returns:
        possible object is `ParameterKeyTypeType`

    - #### setType

          public void setType(ParameterKeyTypeType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `ParameterKeyTypeType`

    - #### getParameterValues

          public List<ParameterValueType> getParameterValues()

      Gets the value of the parameterValues property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameterValues property.

      For example, to add a new item, do as follows:

              getParameterValues().add(newItem);

      Objects of the following type(s) are allowed in the list `ParameterValueType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.